﻿// ReSharper disable CollectionNeverUpdated.Global
namespace anbs_cp.Classes;

/// <summary>
/// Сериализованная модель класса, хранящего в себе состояния действия
/// </summary>
public class ActionStateSerializable
{
    /// <summary>
    /// Список информации
    /// </summary>
    public List<string> Info { get; } = [];

    /// <summary>
    /// Список предупреждений
    /// </summary>
    public List<string> Warnings { get; } = [];

    /// <summary>
    /// Список ошибок
    /// </summary>
    public List<string> Errors { get; } = [];

    /// <summary>
    /// Значение
    /// </summary>
    public string Value { get; set; } = string.Empty;
}