﻿using anbs_cp.Classes;

namespace demo;

public sealed partial class ActionStateSerialize: Form
{
    public ActionStateSerialize ()
    {
        InitializeComponent();
    }

    private void button1_Click (object sender, EventArgs e)
    {
        DemoClass demoClass = new()
        {
            Name = textBox1.Text.Length > 0 ? textBox1.Text : string.Empty
        };

        ActionState<DemoClass> state = new(demoClass);

        state.AddError("ОШИБКА, ШЕФ!");

        textBox2.Text = state.Serialize();

        ActionState<DemoClass> state2 = new();

        state2.Deserialize(textBox2.Text);

        label1.Text = state2.Value?.Name ?? "НЕТ ЗНАЧЕНИЯ";
    }
}
